#ifndef HIGHSCORES_H
#define HIGHSCORES_H

//// Pr-Processador
//

#define SCORES_FILE_NAME "scores/HighScores.dat"
#define MAX_NUM_SCORES (10)

//// Prototipos de Funes
//

//// Tipos de Dados
//

typedef struct {
	char nomeJogador[TAM_NOME_JOGADOR];
	unsigned long int pontuacao;
} SCORE;

class HighScores {
public:
	// Variveis Publicas

	// Contrudores
	HighScores();
	~HighScores();
	// Mtodos Publicos
	bool updateScores(char *nomeJogador, unsigned long int pontuacao); // retorna true se a pontuacao ficar na tabela de highScores
	// Geters and Setters
	SCORE *daListaHighScoresNormal();
	SCORE *daListaHighScoresHard();
private:
	// Variveis Privadas
	SCORE listaHighScoresNormal[MAX_NUM_SCORES];
	SCORE listaHighScoresHard[MAX_NUM_SCORES];
	// Mtodos Privados
	void initScores();
	void loadScoresGuardados();
	void saveScoresDisco();
	SCORE *copyScore(SCORE *destino, SCORE *origem);
};

#endif