#ifndef MENUS_H
#define MENUS_H

//// Pr-Processador
//
#define COR_FONTES_MENUS glColor3f(1.0,1.0,1.0)
//// Prototipos de Funes
//

//// Tipos de Dados
//

class Menus {
public:
	// Variveis Publicas

	// Contrudores
	Menus();
	~Menus();
	// Mtodos Publicos
	void display_menuPrincipal();
	void interacao_menuPrincipal(unsigned char keyNormal, int keySpecial, int x, int y);
	void display_gameOver();
	void interacao_gameOver(unsigned char keyNormal, int keySpecial, int x, int y);
	void display_highScores();
	void interacao_highScores(unsigned char keyNormal, int keySpecial, int x, int y);
	void display_ajuda();
	void interacao_ajuda(unsigned char keyNormal, int keySpecial, int x, int y);
	void display_creditos();
	void interacao_creditos(unsigned char keyNormal, int keySpecial, int x, int y);
	// Geters and Setters
	
private:
	// Variveis Privadas
	AUX_RGBImageRec *imagemFundo;
	
	// Mtodos Privados
	void displayImagemFundo();
	char *adicionaUmCharNomeJogador(char *nomeJogador, char c);
	char *apagaUmCharNomeJogador(char *nomeJogador);
};

#endif