#ifndef APLICACAO_H
#define APLICACAO_H

//// Pr-Processador
//
#define TITULO_JANELA "Malato-Snake"
#define VIEWPORT_W (1024)
#define VIEWPORT_H (768)
#define WINDOW_POSITION_X (150)
#define WINDOW_POSITION_Y (50)
#define DEFINICOES_FULL_SCREEN "1024x768:32"
#define FRAMES_POR_SEGUNDO (1)
//// Prototipos de Funes
//

//// Tipos de Dados
//

typedef enum {	ESTADO_MENU_PRINCIPAL = 1,
				ESTADO_JOGO,
				ESTADO_GAMEOVER,
				ESTADO_HIGHSCORES,
				ESTADO_AJUDA,
				ESTADO_CREDITOS } ESTADO_APP;

class Aplicacao {
public:
	// Variveis Publicas
	int fps;
	// Contrudores
	Aplicacao(ESTADO_APP estadoInicial = ESTADO_MENU_PRINCIPAL);
	~Aplicacao();
	// Mtodos Publicos

	// Geters and Setters
	int getWindowWidth();
	void setWindowWidth(int ww);
	int getWindowHeight();
	void setWindowHeight(int wh);
	ESTADO_APP getEstadoApp();
	void setEstadoApp(ESTADO_APP estado);
	
private:
	// Variveis Privadas
	int windowWidth, windowHeight;
	ESTADO_APP estadoApp;
	// Mtodos Privados
};

#endif